-- I based this GUI on the one used in the BadBoy anti-spam addon.
-- Consequently, I owe many thanks to Funkydude; permission was given to use his addon in this way.
-- Get BadBoy Anti-Spam here: https://mods.curse.com/addons/wow/bad-boy

local AddonName, AddonTable = ...
local L = AddonTable.Localize
local AddonTitle = select(2, GetAddOnInfo(AddonName))
local PlainAddonTitle = AddonTitle:gsub("|c........", ""):gsub("|r", "")

function DROptionsFrame_OnLoad()

SlashCmdList["DROPTIONS"] = optionsgui
	SLASH_DROPTIONS1 = "/dr"
	
StaticPopupDialogs["RESET_STATS"] = {
  text = L["Reset Statistics"] .. "\n\n" .. L["Are you sure?"],
  button1 = L["Yes"],
  button2 = L["No"],
  OnAccept = function()
      resetstats()
  end,
  timeout = 0,
  whileDead = true,
  hideOnEscape = true,
  preferredIndex = 3,
}

StaticPopupDialogs["RESET_VARIABLES"] = {
  text = L["Reset SavedVariables"] .. "\n\n" .. L["Are you sure?"],
  button1 = L["Yes"],
  button2 = L["No"],
  OnAccept = function()
      resetvariables()
  end,
  timeout = 0,
  whileDead = true,
  hideOnEscape = true,
  preferredIndex = 3,
}
end

function resetvariables()

DRConfig = {
	["DeclineDuel"] = 'ON',
	["ShowChatMessage"] = 'ON',
	["ShowLoadMessage"] = 'ON',
	["DeclinePB"] = 'OFF',
	["OptionsWindow"] = 'HIDDEN',
	["AntiLag"] = 'OFF',
	["MaxLatency"] = '250',
	["FPSCheck"] = 'OFF',
	["MinFPS"] = '15',
	["ShowStats"] = 'YES'
}

DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Settings returned to default values."])

end

function resetstats()
	GlobalDC = 0
	DuelsDeclined = 0
	DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Your statistics have been reset."])
end

function optionsgui(msg, editbox)

if msg == "" or msg == nil then

if DRConfig.OptionsWindow == "VISIBLE" then
	return
elseif DRConfig.OptionsWindow == "HIDDEN" then
	DRConfig.OptionsWindow = 'VISIBLE'
	
local droptions = CreateFrame("Frame", "DRConfig", UIParent)
droptions:SetSize(575, 500) -- WxH
droptions:SetPoint("CENTER")
droptions:SetClampedToScreen(true)
droptions:EnableMouse(true)
droptions:SetMovable(true)
droptions:RegisterForDrag("LeftButton")
droptions:SetScript("OnDragStart", function(self) self:StartMoving() end)
droptions:SetScript("OnDragStop", function(self) self:StopMovingOrSizing() end)
droptions:Show()
local bg = droptions:CreateTexture()
bg:SetAllPoints(droptions)
bg:SetColorTexture(0, 0, 0, 0.7)
local close = CreateFrame("Button", nil, droptions, "UIPanelCloseButton")
close:SetPoint("TOPRIGHT", droptions, "TOPRIGHT", -5, -5)

droptions:SetScript("OnHide", function(frame)
	DRConfig.OptionsWindow = 'HIDDEN'
end)

-- Name and Version

local title = droptions:CreateFontString(nil, nil, "GameFontNormalLarge")
title:SetPoint("TOPLEFT", 16, -16)
title:SetText("|cFF00FFFF" .. L["DuelResponse"] .." v" .. GetAddOnMetadata("DuelResponse", "Version") .. "|r")

-- CATEGORY: ANTI-DUEL

local lblCatBlockSettings = droptions:CreateFontString(nil, nil, "GameFontHighlight")
lblCatBlockSettings:SetPoint("TOPLEFT", title, "BOTTOMLEFT", 0, -16)
lblCatBlockSettings:SetText("|cFFFFFFFF" .. L["Block Settings"] .. "|r")

-- Decline Duel Checkbox

local chkDeclineDuel = CreateFrame("CheckButton", nil, droptions, "OptionsBaseCheckButtonTemplate")
chkDeclineDuel:SetPoint("TOPLEFT", lblCatBlockSettings, "BOTTOMLEFT", 0, -8)

	if DRConfig.DeclineDuel == "ON" then
		chkDeclineDuel:SetChecked(true)
	elseif DRConfig.DeclineDuel == "OFF" then
		chkDeclineDuel:SetChecked(false)
	end

chkDeclineDuel:SetScript("OnClick", function(frame)
	local tick = frame:GetChecked()
	if tick == false then
		DRConfig.DeclineDuel = 'OFF'
			if DRConfig.ShowChatMessage == "ON" then
				DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Duel requests will not be declined."])
			end
	elseif tick == true then
		DRConfig.DeclineDuel = 'ON'
			if DRConfig.ShowChatMessage == "ON" then
				DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Duel requests will be declined."])
			end
	end
end)

chkDeclineDuel:SetScript("OnEnter", function(self)
	GameTooltip:SetOwner(self, "ANCHOR_TOP")
	GameTooltip:AddLine(L["Hold down Ctrl or Alt to let a request through."], 1, 1, 1)
	GameTooltip:Show()
end)

local chkDeclineDuelText = droptions:CreateFontString(nil, nil, "GameFontHighlight")
chkDeclineDuelText:SetPoint("LEFT", chkDeclineDuel, "RIGHT", 0, 1)
chkDeclineDuelText:SetText("|cFFEFC502" .. L["Block all incoming duel requests"] .. "|r")

-- Pet Battle Checkbox

local chkDeclinePetBattle = CreateFrame("CheckButton", nil, droptions, "OptionsBaseCheckButtonTemplate")
chkDeclinePetBattle:SetPoint("TOPLEFT", chkDeclineDuel, "BOTTOMLEFT")

	if DRConfig.DeclinePB == "ON" then
		chkDeclinePetBattle:SetChecked(true)
	elseif DRConfig.DeclinePB == "OFF" then
		chkDeclinePetBattle:SetChecked(false)
	end

chkDeclinePetBattle:SetScript("OnClick", function(frame)
	local tick = frame:GetChecked()
	if tick == false then
		DRConfig.DeclinePB = 'OFF'
			if DRConfig.ShowChatMessage == "ON" then
				DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Pet battle requests will not be declined."])
			end
	elseif tick == true then
		DRConfig.DeclinePB = 'ON'
			if DRConfig.ShowChatMessage == "ON" then
				DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Pet battle requests will be declined."])
			end
	end
end)

chkDeclinePetBattle:SetScript("OnEnter", function(self)
	GameTooltip:SetOwner(self, "ANCHOR_TOP")
	GameTooltip:AddLine(L["Hold down Ctrl or Alt to let a request through."], 1, 1, 1)
	GameTooltip:Show()
end)

local chkDeclinePetBattleText = droptions:CreateFontString(nil, nil, "GameFontHighlight")
chkDeclinePetBattleText:SetPoint("LEFT", chkDeclinePetBattle, "RIGHT", 0, 1)
chkDeclinePetBattleText:SetText("|cFFEFC502" .. L["Block all incoming pet battle requests"] .. "|r")

-- CATEGORY: DISPLAY

local lblCatDisplaySettings = droptions:CreateFontString(nil, nil, "GameFontHighlight")
lblCatDisplaySettings:SetPoint("TOPLEFT", chkDeclinePetBattle, "BOTTOMLEFT", 0, -8)
lblCatDisplaySettings:SetText("|cFFFFFFFF" .. L["Display Settings"] .. "|r")

-- Chat Message Checkbox

local chkShowChatMsg = CreateFrame("CheckButton", nil, droptions, "OptionsBaseCheckButtonTemplate")
chkShowChatMsg:SetPoint("TOPLEFT", lblCatDisplaySettings, "BOTTOMLEFT", 0, -8)

	if DRConfig.ShowChatMessage == "ON" then
		chkShowChatMsg:SetChecked(true)
	elseif DRConfig.ShowChatMessage == "OFF" then
		chkShowChatMsg:SetChecked(false)
	end

chkShowChatMsg:SetScript("OnClick", function(frame)
	local tick = frame:GetChecked()
	
	if tick == false then
		DRConfig.ShowChatMessage = 'OFF'
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Chat frame messages have been turned off."])
	elseif tick == true then
		DRConfig.ShowChatMessage = 'ON'
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Chat frame messages have been turned on."])
	end
end)

local chkShowChatMsgText = droptions:CreateFontString(nil, nil, "GameFontHighlight")
chkShowChatMsgText:SetPoint("LEFT", chkShowChatMsg, "RIGHT", 0, 1)
chkShowChatMsgText:SetText("|cFFEFC502" .. L["Chat frame messages"] .. "|r")

-- Options Frame Slider Value

local txtOptionsVis = CreateFrame("EditBox", nil, droptions, "InputBoxTemplate")
txtOptionsVis:SetPoint("LEFT", sldTransparency, "RIGHT", 16, 0)
txtOptionsVis:SetAutoFocus(false)
txtOptionsVis:SetWidth(32)
txtOptionsVis:SetHeight(16)
txtOptionsVis:SetMaxLetters(3)
txtOptionsVis:IsNumeric(true)
txtOptionsVis:Show()
txtOptionsVis:Enable(false)

local text = DRConfig.OptionsVis
		txtOptionsVis:SetText(text)
		
-- Load Message Checkbox

local chkShowLoadMsg = CreateFrame("CheckButton", nil, droptions, "OptionsBaseCheckButtonTemplate")
chkShowLoadMsg:SetPoint("TOPLEFT", chkShowChatMsg, "BOTTOMLEFT")

	if DRConfig.ShowLoadMessage == "ON" then
		chkShowLoadMsg:SetChecked(true)
	elseif DRConfig.ShowLoadMessage == "OFF" then
		chkShowLoadMsg:SetChecked(false)
	end

chkShowLoadMsg:SetScript("OnClick", function(frame)
	local tick = frame:GetChecked()
	
	if tick == false then
		DRConfig.ShowLoadMessage = 'OFF'
			if DRConfig.ShowChatMessage == "ON" then
				DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Welcome message disabled."])
			end
	elseif tick == true then
		DRConfig.ShowLoadMessage = 'ON'
			if DRConfig.ShowChatMessage == "ON" then
				DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Welcome message enabled."])
			end
	end
end)

local chkShowLoadMsgText = droptions:CreateFontString(nil, nil, "GameFontHighlight")
chkShowLoadMsgText:SetPoint("LEFT", chkShowLoadMsg, "RIGHT", 0, 1)
chkShowLoadMsgText:SetText("|cFFEFC502" .. L["Welcome message"] .. "|r")

-- Show Statistics Checkbox

local chkShowStats = CreateFrame("CheckButton", nil, droptions, "OptionsBaseCheckButtonTemplate")
chkShowStats:SetPoint("TOPLEFT", chkShowLoadMsg, "BOTTOMLEFT")

	if DRConfig.ShowStats == "YES" then
		chkShowStats:SetChecked(true)
	elseif DRConfig.ShowStats == "NO" then
		chkShowStats:SetChecked(false)
	end

chkShowStats:SetScript("OnClick", function(frame)
	local tick = frame:GetChecked()
	
	if tick == false then
		DRConfig.ShowStats = 'NO'
	elseif tick == true then
		DRConfig.ShowStats = 'YES'
	end
end)

local chkShowStatsText = droptions:CreateFontString(nil, nil, "GameFontHighlight")
chkShowStatsText:SetPoint("LEFT", chkShowStats, "RIGHT", 0, 1)
chkShowStatsText:SetText("|cFFEFC502" .. L["Show Statistics"] .. "|r")

if DRConfig.DeclineDuel == "OFF" then

-- CATEGORY: DUEL SETTINGS

local lblCatSystemSettings = droptions:CreateFontString(nil, nil, "GameFontHighlight")
lblCatSystemSettings:SetPoint("TOPLEFT", chkShowStats, "BOTTOMLEFT", 0, -8)
lblCatSystemSettings:SetText("|cFFFFFFFF" .. L["Duel Settings"] .. "|r")

-- High Level Check

local chkHighLevel = CreateFrame("CheckButton", nil, droptions, "OptionsBaseCheckButtonTemplate")
chkHighLevel:SetPoint("TOPLEFT", lblCatSystemSettings, "BOTTOMLEFT", 0, -8)

	if DRConfig.HighLevelCheck == "ENABLED" then
		chkHighLevel:SetChecked(true)
	elseif DRConfig.HighLevelCheck == "DISABLED" then
		chkHighLevel:SetChecked(false)
	end
	
chkHighLevel:SetScript("OnEnter", function(self)
	GameTooltip:SetOwner(self, "ANCHOR_TOP")
	GameTooltip:AddLine(L["Declines duel requests you send if the target is 5+ levels above you."], 1, 1, 1)
	GameTooltip:Show()
end)

chkHighLevel:SetScript("OnClick", function(frame)
	local tick = frame:GetChecked()
	
	if tick == false then
		DRConfig.HighLevelCheck = 'DISABLED'
			if DRConfig.ShowChatMessage == "ON" then
				DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["High level check disabled."])
			end
	elseif tick == true then
		DRConfig.HighLevelCheck = 'ENABLED'
			if DRConfig.ShowChatMessage == "ON" then
				DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["High level check enabled."])
			end
	end
end)

local chkHighLevelText = droptions:CreateFontString(nil, nil, "GameFontHighlight")
chkHighLevelText:SetPoint("LEFT", chkHighLevel, "RIGHT", 0, 1)
chkHighLevelText:SetText("|cFFEFC502" .. L["High level check for outgoing requests"] .. "|r")

-- Latency Slider

local chkAntiLag = CreateFrame("CheckButton", nil, droptions, "OptionsBaseCheckButtonTemplate")
chkAntiLag:SetPoint("TOPLEFT", chkHighLevel, "BOTTOMLEFT", 0, -8)

	if DRConfig.AntiLag == "ON" then
		chkAntiLag:SetChecked(true)
	elseif DRConfig.AntiLag == "OFF" then
		chkAntiLag:SetChecked(false)
	end

chkAntiLag:SetScript("OnClick", function(frame)
	local tick = frame:GetChecked()
	
	if tick == false then
		DRConfig.AntiLag = 'OFF'
			if DRConfig.ShowChatMessage == "ON" then
				DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Lag check disabled."])
			end
	elseif tick == true then
		DRConfig.AntiLag = 'ON'
			if DRConfig.ShowChatMessage == "ON" then
				DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["Lag check enabled."])
			end
	end
end)

local chkAntiLagText = droptions:CreateFontString(nil, nil, "GameFontHighlight")
chkAntiLagText:SetPoint("LEFT", chkAntiLag, "RIGHT", 0, 1)
chkAntiLagText:SetText("|cFFEFC502" .. L["Latency Threshold:"] .. "|r")

local sldLatency = CreateFrame("Slider", nil, droptions)
sldLatency:SetPoint("TOPLEFT", chkAntiLag, "BOTTOMLEFT")
sldLatency:Enable()
sldLatency:SetWidth(282)
sldLatency:SetHeight(16)
sldLatency:SetOrientation("HORIZONTAL")
sldLatency:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
sldLatency:SetBackdrop({
  bgFile = "Interface\\Buttons\\UI-SliderBar-Background", 
  edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
  tile = true, tileSize = 8, edgeSize = 8, 
  insets = { left = 3, right = 3, top = 6, bottom = 6 }})
sldLatency:SetMinMaxValues(0,500)
sldLatency:SetValueStep(25)

local text = DRConfig.MaxLatency
		sldLatency:SetValue(text)

sldLatency:SetScript("OnLeave", GameTooltip_Hide)
sldLatency:SetScript("OnHide", function(frame)
	local text = frame:GetValue()
	DRConfig.MaxLatency = text
end)

sldLatency:SetScript("OnEnter", function(self)
	GameTooltip:SetOwner(self, "ANCHOR_TOP")
	GameTooltip:AddLine(L["Duels will be declined while your World Latency exceeds this number."], 1, 1, 1)
	GameTooltip:Show()
end)

-- Latency Slider Value

local txtLatency = CreateFrame("EditBox", nil, droptions, "InputBoxTemplate")
txtLatency:SetPoint("LEFT", sldLatency, "RIGHT", 16, 0)
txtLatency:SetAutoFocus(false)
txtLatency:SetWidth(48)
txtLatency:SetHeight(16)
txtLatency:SetMaxLetters(6)
txtLatency:IsNumeric(true)
txtLatency:Show()
txtLatency:Enable(true)

local text = ceil(DRConfig.MaxLatency)
		txtLatency:SetText(text)
		
sldLatency:SetScript("OnValueChanged", function() txtLatency:SetText(ceil(sldLatency:GetValue())) end)

txtLatency:SetScript("OnEnterPressed", function(self)
	local text = tonumber(txtLatency:GetText())
	
	if text < 1 or text > 500 then
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r |cFFFF0000[" .. L["Error"] .. "]|r " .. L["Maximum latency must be between 1 and 500."])
	else
		sldLatency:SetValue(text)
	end
end)

local lblmillisec = droptions:CreateFontString(nil, nil, "GameFontHighlight")
	lblmillisec:SetPoint("LEFT", txtLatency, "RIGHT", 16, 1)
	lblmillisec:SetText("|cFFEFC502ms|r")
	
-- FPS Slider

local chkMinFPS = CreateFrame("CheckButton", nil, droptions, "OptionsBaseCheckButtonTemplate")
chkMinFPS:SetPoint("TOPLEFT", sldLatency, "BOTTOMLEFT", 0, -8)

	if DRConfig.FPSCheck == "ON" then
		chkMinFPS:SetChecked(true)
	elseif DRConfig.FPSCheck == "OFF" then
		chkMinFPS:SetChecked(false)
	end

chkMinFPS:SetScript("OnClick", function(frame)
	local tick = frame:GetChecked()
	
	if tick == false then
		DRConfig.FPSCheck = 'OFF'
			if DRConfig.ShowChatMessage == "ON" then
				DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["FPS check disabled."])
			end
	elseif tick == true then
		DRConfig.FPSCheck = 'ON'
			if DRConfig.ShowChatMessage == "ON" then
				DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r " .. L["FPS check enabled."])
			end
	end
end)

local chkMinFPSText = droptions:CreateFontString(nil, nil, "GameFontHighlight")
chkMinFPSText:SetPoint("LEFT", chkMinFPS, "RIGHT", 0, 1)
chkMinFPSText:SetText("|cFFEFC502" .. L["Framerate Threshold:"] .. "|r")

local sldFramerate = CreateFrame("Slider", nil, droptions)
sldFramerate:SetPoint("TOPLEFT", chkMinFPS, "BOTTOMLEFT")
sldFramerate:Enable()
sldFramerate:SetWidth(282)
sldFramerate:SetHeight(16)
sldFramerate:SetOrientation("HORIZONTAL")
sldFramerate:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
sldFramerate:SetBackdrop({
  bgFile = "Interface\\Buttons\\UI-SliderBar-Background", 
  edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
  tile = true, tileSize = 8, edgeSize = 8, 
  insets = { left = 3, right = 3, top = 6, bottom = 6 }})
sldFramerate:SetMinMaxValues(15,60)
sldFramerate:SetValueStep(5)

local text = DRConfig.MinFPS
		sldFramerate:SetValue(text)

sldFramerate:SetScript("OnLeave", GameTooltip_Hide)
sldFramerate:SetScript("OnHide", function(frame)
	local text = frame:GetValue()
	DRConfig.MinFPS = text
end)

sldFramerate:SetScript("OnEnter", function(self)
	GameTooltip:SetOwner(self, "ANCHOR_TOP")
	GameTooltip:AddLine(L["Duels will be declined while your framerate is below this number."], 1, 1, 1)
	GameTooltip:Show()
end)

-- FPS Slider Value

local txtMinFPS = CreateFrame("EditBox", nil, droptions, "InputBoxTemplate")
txtMinFPS:SetPoint("LEFT", sldFramerate, "RIGHT", 16, 0)
txtMinFPS:SetAutoFocus(false)
txtMinFPS:SetWidth(48)
txtMinFPS:SetHeight(16)
txtMinFPS:SetMaxLetters(6)
txtMinFPS:IsNumeric(true)
txtMinFPS:Show()
txtMinFPS:Enable(true)

local text = ceil(DRConfig.MinFPS)
	txtMinFPS:SetText(text)
		
sldFramerate:SetScript("OnValueChanged", function() txtMinFPS:SetText(ceil(sldFramerate:GetValue())) end)

local lblFPS = droptions:CreateFontString(nil, nil, "GameFontHighlight")
	lblFPS:SetPoint("LEFT", txtMinFPS, "RIGHT", 16, 1)
	lblFPS:SetText("|cFFEFC502FPS|r")
	
txtMinFPS:SetScript("OnEnterPressed", function(self)
	local text = tonumber(txtMinFPS:GetText())
	
	if text < 15 or text > 60 then
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse"] .."]|r |cFFFF0000[" .. L["Error"] .. "]|r " .. L["Minimum framerate must be between 15 and 60."])
	else
		sldFramerate:SetValue(text)
	end
end)
	
end

if DRConfig.ShowStats ~= "NO" then

-- Status Text

local statsTitle = droptions:CreateFontString("DROptionsConfigTitle", nil, "GameFontHighlight")
statsTitle:SetPoint("TOPLEFT", droptions, "BOTTOMLEFT", 16, 72)
statsTitle:SetText(L["Total duels blocked: "] .. tonumber(GlobalDC) .. " (" ..  UnitName("player") .. ": " .. tonumber(DuelsDeclined) .. ")")

-- Reset Stats Button

local btnResetStats = CreateFrame("Button", nil, droptions, "UIPanelButtonTemplate")
btnResetStats:SetSize(200,25)
btnResetStats:SetPoint("TOPLEFT", statsTitle, "BOTTOMLEFT", 0, -8)
btnResetStats:SetScript("OnClick", function(frame)
	StaticPopup_Show("RESET_STATS")
end)
btnResetStats:SetText(L["Reset Statistics"])

end

-- Save on close text

local lblSaveOnClose = droptions:CreateFontString(nil, nil, "GameFontHighlight")
lblSaveOnClose:SetPoint("TOPLEFT", droptions, "BOTTOMLEFT", 16, 20)
lblSaveOnClose:SetText(L["Settings will be applied once this window is closed."])

-- Blacklist Plugin Check

local lblBlacklistCheck = droptions:CreateFontString(nil, nil, "GameFontHighlight")
lblBlacklistCheck:SetPoint("BOTTOMRIGHT", droptions, "BOTTOMRIGHT", -24, 24)
if IsAddOnLoaded("DuelResponse_Blacklist") == true then
	lblBlacklistCheck:SetText("Blacklist plugin enabled.")
else
	lblBlacklistCheck:SetText("Blacklist plugin disabled.")
end

-- Whisper Plugin Check

local lblWhisperCheck = droptions:CreateFontString(nil, nil, "GameFontHighlight")
lblWhisperCheck:SetPoint("TOPLEFT", lblBlacklistCheck, "BOTTOMLEFT", 0, 0)
if IsAddOnLoaded("DuelResponse_Whisper") == true then
	lblWhisperCheck:SetText("Whisper plugin enabled.")
else
	lblWhisperCheck:SetText("Whisper plugin disabled.")
end
end

elseif msg == "reset" then

StaticPopup_Show("RESET_VARIABLES")

end

end